PGSQL_CONTROL
-- $Id: aggregatex.m4,v 1.1 2002/12/08 18:22:52 babolo Exp $
CREATE AGGREGATE cat
     ( BASETYPE = text
     , SFUNC = textcat
     , STYPE = text
     , INITCOND = ''
     )
;
CREATE FUNCTION bool_and(bool, bool) RETURNS bool
 AS 'SELECT $1 AND $2
    '
 LANGUAGE 'sql' WITH(iscachable, isstrict)
;
CREATE FUNCTION bool_or(bool, bool) RETURNS bool
 AS 'SELECT $1 OR $2
    '
 LANGUAGE 'sql' WITH(iscachable, isstrict)
;
CREATE AGGREGATE agg_and
     ( BASETYPE = bool
     , SFUNC = bool_and
     , STYPE = bool
     , INITCOND = 1
     )
;
CREATE AGGREGATE agg_or
     ( BASETYPE = bool
     , SFUNC = bool_or
     , STYPE = bool
     , INITCOND = 1
     )
;
